chongym Absent Member.
Absent Member.
2042 views

HTTP 500 error in Vibe 4.0.4 evaluation, Basic install

Hi all,

I am getting the following error when I start Vibe 4.0.4 after doing a Basic Installation:

Cannot find class [org.kablink.teaming.util.SPropsUtil] for bean with name 'sPropsUtil' defined in ServletContext resource [/WEB-INF/context/applicationContext.xml]

I have disabled the Inbound SMTP server to eliminate that as an error. Also, I changed from IBM Java SDK 8 to Oracle Java SDK 8, because I was not sure if JCE was causing the problem. But neither approaches worked - still getting the same 500 error.

Help!

Running evaluation version of Vibe 4.0.4 (cannot download Hot Patches because this is an eval version) on SLES 12 SP3.
0 Likes
4 Replies
Micro Focus Expert
Micro Focus Expert

Re: HTTP 500 error in Vibe 4.0.4 evaluation, Basic install

Hi,

Did you install the Java Cryptography Extensions: https://www.novell.com/documentation/vibe4/vibe4_inst/data/b1emz1j0.html ?

Cheers,
Laura Buckley

Views/comments expressed here are entirely my own.
If you find this post helpful, please show your appreciation and click on "Like" below...
0 Likes
chongym Absent Member.
Absent Member.

Re: HTTP 500 error in Vibe 4.0.4 evaluation, Basic install

Hi Laura,

I installed the IBM Java SDK initially and was not able to install the JCE (the instructions in the documentation cannot be followed for the IBM JDK). I then installed Oracle Java and the Oracle JCE - the instructions were accurate for this, but I was still getting the error. Could my server still be using the IBM Java SDK? Maybe I need to re-format and rebuild my server again to see if it works.

laurabuckley;2476545 wrote:
Hi,

Did you install the Java Cryptography Extensions: https://www.novell.com/documentation/vibe4/vibe4_inst/data/b1emz1j0.html ?

Cheers,
0 Likes
Wolfgang_Bleim Absent Member.
Absent Member.

Re: HTTP 500 error in Vibe 4.0.4 evaluation, Basic install

Hi
I also had problems with java for vibe 4 on sles 12 again and again...
Now I have a cookbook 🙂
I use oracle jdk:
at a clean and fresh SLES12 SP2 or SP3:

1. Update javapackes-tools at yast
2. md /usr/java
3. upload jdk to /usr/java
4. unzip java
/usr/java
ls –l
tar -xvf jdk-8u66-linux-x64.tar.gz
ln -s /usr/java/jdk1.8.0_66 /usr/java/latest
chmod -R 755 /usr/java/jdk1.8.0_66/
chown -R root:root /usr/java/jdk1.8.0_66/
ln -s /usr/java/latest/jre /usr/jre
ln -s /usr/sbin/update-alternatives /usr/sbin/alternatives
alternatives --install "/usr/bin/java" "java" "/usr/java/latest/jre/bin/java" 1
5. Install Java Cryptography Extension
6. reboot
7. install mariadb
8. vi /etc/security/limits.conf
9. add vibe user and group
10. reboot
11. copy vibe to a directory, unzip and install

maybe not the most elegant way, but it works :cool:

wolfgang
0 Likes
Highlighted
maxhu Regular Contributor.
Regular Contributor.

Re: HTTP 500 error in Vibe 4.0.4 evaluation, Basic install

maybe you can check the "DB"
0 Likes
The opinions expressed above are the personal opinions of the authors, not of Micro Focus. By using this site, you accept the Terms of Use and Rules of Participation. Certain versions of content ("Material") accessible here may contain branding from Hewlett-Packard Company (now HP Inc.) and Hewlett Packard Enterprise Company. As of September 1, 2017, the Material is now offered by Micro Focus, a separately owned and operated company. Any reference to the HP and Hewlett Packard Enterprise/HPE marks is historical in nature, and the HP and Hewlett Packard Enterprise/HPE marks are the property of their respective owners.